/*
 * Copyright 2021 NXP
 * SPDX-License-Identifier: MIT
 */

#include "events_init.h"
#include <stdio.h>
#include "lvgl/lvgl.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"

#include  "lvgl/lvgl.h"
#include "gui_guider.h"
#include  "lvgl/lvgl.h"
#include "gui_guider.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"
#include "custom.h"

void events_init(lv_ui *ui)
{
}

static void screWelcome_imgbtnTempevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		btnAnimCustom(guider_ui.screWelcome_imgbtnTemp, 10, (lv_anim_ready_cb_t)loadTempScreen);
	}
		break;
	default:
		break;
	}
}

static void screWelcome_imgbtnLightevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		btnAnimCustom(guider_ui.screWelcome_imgbtnLight, 10, (lv_anim_ready_cb_t)loadLightScreen);
	}
		break;
	default:
		break;
	}
}

static void screWelcome_imgbtnSecurityevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		btnAnimCustom(guider_ui.screWelcome_imgbtnSecurity, 10, (lv_anim_ready_cb_t)loadSecurityScreen);
	}
		break;
	default:
		break;
	}
}

static void screWelcome_imgbtnMusicevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		btnAnimCustom(guider_ui.screWelcome_imgbtnMusic, 10, (lv_anim_ready_cb_t)loadAudioScreen);
	}
		break;
	default:
		break;
	}
}

void events_init_screWelcome(lv_ui *ui)
{
	lv_obj_set_event_cb(ui->screWelcome_imgbtnTemp, screWelcome_imgbtnTempevent_handler);
	lv_obj_set_event_cb(ui->screWelcome_imgbtnLight, screWelcome_imgbtnLightevent_handler);
	lv_obj_set_event_cb(ui->screWelcome_imgbtnSecurity, screWelcome_imgbtnSecurityevent_handler);
	lv_obj_set_event_cb(ui->screWelcome_imgbtnMusic, screWelcome_imgbtnMusicevent_handler);
}

static void screenTemp_imgbtnColdevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		btnAnimCustom(guider_ui.screenTemp_imgbtnCold, 10, NULL);
		screTempSetModeBtnState(TEMP_MODE_COLD);
	}
		break;
	default:
		break;
	}
}

static void screenTemp_imgbtnAutoevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		btnAnimCustom(guider_ui.screenTemp_imgbtnAuto, 10, NULL);
		screTempSetModeBtnState(TEMP_MODE_AUTO);
	}
		break;
	default:
		break;
	}
}

static void screenTemp_imgbtnFireevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		btnAnimCustom(guider_ui.screenTemp_imgbtnFire, 10, NULL);
		screTempSetModeBtnState(TEMP_MODE_WARM);
	}
		break;
	default:
		break;
	}
}

static void screenTemp_imgbtnHomeevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		btnAnimCustom(guider_ui.screenTemp_imgbtnHome, -10, (lv_anim_ready_cb_t)loadWelcomeScreen);
	}
		break;
	default:
		break;
	}
}

static void screenTemp_imgbtnTempOffevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		btnAnimCustom(guider_ui.screenTemp_imgbtnTempOff, 10, (lv_anim_ready_cb_t)screTemp_imgbtnTempOffCb);
	}
		break;
	default:
		break;
	}
}

static void screenTemp_imgbtnTempUpevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		btnAnimCustom(guider_ui.screenTemp_imgbtnTempUp, 5, (lv_anim_ready_cb_t)screTempIncreaseTempValue);
	}
		break;
	default:
		break;
	}
}

static void screenTemp_imgbtnTempDownevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		btnAnimCustom(guider_ui.screenTemp_imgbtnTempDown, 10, (lv_anim_ready_cb_t)screTempDecreaseTempValue);
	}
		break;
	default:
		break;
	}
}

void events_init_screenTemp(lv_ui *ui)
{
	lv_obj_set_event_cb(ui->screenTemp_imgbtnCold, screenTemp_imgbtnColdevent_handler);
	lv_obj_set_event_cb(ui->screenTemp_imgbtnAuto, screenTemp_imgbtnAutoevent_handler);
	lv_obj_set_event_cb(ui->screenTemp_imgbtnFire, screenTemp_imgbtnFireevent_handler);
	lv_obj_set_event_cb(ui->screenTemp_imgbtnHome, screenTemp_imgbtnHomeevent_handler);
	lv_obj_set_event_cb(ui->screenTemp_imgbtnTempOff, screenTemp_imgbtnTempOffevent_handler);
	lv_obj_set_event_cb(ui->screenTemp_imgbtnTempUp, screenTemp_imgbtnTempUpevent_handler);
	lv_obj_set_event_cb(ui->screenTemp_imgbtnTempDown, screenTemp_imgbtnTempDownevent_handler);
}

static void screLight_imgbtnHomeevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		btnAnimCustom(guider_ui.screLight_imgbtnHome, -10, (lv_anim_ready_cb_t)loadWelcomeScreen);
	}
		break;
	default:
		break;
	}
}

static void screLight_swCeilingevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_VALUE_CHANGED:
	{
		screLight_swCeilingCb();
	}
		break;
	default:
		break;
	}
}

static void screLight_swLampsevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_VALUE_CHANGED:
	{
		screLight_swLampsCb();
	}
		break;
	default:
		break;
	}
}

static void screLight_swReadingevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_VALUE_CHANGED:
	{
		screLight_swReadingCb();
	}
		break;
	default:
		break;
	}
}

static void screLight_sliderCeilingevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_VALUE_CHANGED:
	{
		screLight_set_sliderCelling();
	}
		break;
	default:
		break;
	}
}

static void screLight_sliderLampsevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_VALUE_CHANGED:
	{
		screLight_set_sliderLamps();
	}
		break;
	default:
		break;
	}
}

static void screLight_imgbtnPaletteevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		screLight_imgbtnPalette();
	}
		break;
	default:
		break;
	}
}

static void screLight_sliderReadingevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_VALUE_CHANGED:
	{
		screLight_set_sliderReading();
	}
		break;
	default:
		break;
	}
}

static void screLight_imgbtnAllLightOnevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		btnAnimCustom(guider_ui.screLight_imgbtnAllLightOn, 10, (lv_anim_ready_cb_t)screLight_imgbtnAllLightOn);
	}
		break;
	default:
		break;
	}
}

static void screLight_imgbtnAllLightOffevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		btnAnimCustom(guider_ui.screLight_imgbtnAllLightOff, 10, (lv_anim_ready_cb_t)screLight_imgbtnAllLightOff);
	}
		break;
	default:
		break;
	}
}

static void screLight_imgbtnMovieevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		btnAnimCustom(guider_ui.screLight_imgbtnMovie, 10, (lv_anim_ready_cb_t)screLight_imgbtnMovie);
	}
		break;
	default:
		break;
	}
}

static void screLight_imgbtnPartyevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		btnAnimCustom(guider_ui.screLight_imgbtnParty, 10, (lv_anim_ready_cb_t)screLight_imgbtnParty);
	}
		break;
	default:
		break;
	}
}

void events_init_screLight(lv_ui *ui)
{
	lv_obj_set_event_cb(ui->screLight_imgbtnHome, screLight_imgbtnHomeevent_handler);
	lv_obj_set_event_cb(ui->screLight_swCeiling, screLight_swCeilingevent_handler);
	lv_obj_set_event_cb(ui->screLight_swLamps, screLight_swLampsevent_handler);
	lv_obj_set_event_cb(ui->screLight_swReading, screLight_swReadingevent_handler);
	lv_obj_set_event_cb(ui->screLight_sliderCeiling, screLight_sliderCeilingevent_handler);
	lv_obj_set_event_cb(ui->screLight_sliderLamps, screLight_sliderLampsevent_handler);
	lv_obj_set_event_cb(ui->screLight_imgbtnPalette, screLight_imgbtnPaletteevent_handler);
	lv_obj_set_event_cb(ui->screLight_sliderReading, screLight_sliderReadingevent_handler);
	lv_obj_set_event_cb(ui->screLight_imgbtnAllLightOn, screLight_imgbtnAllLightOnevent_handler);
	lv_obj_set_event_cb(ui->screLight_imgbtnAllLightOff, screLight_imgbtnAllLightOffevent_handler);
	lv_obj_set_event_cb(ui->screLight_imgbtnMovie, screLight_imgbtnMovieevent_handler);
	lv_obj_set_event_cb(ui->screLight_imgbtnParty, screLight_imgbtnPartyevent_handler);
}

static void screSecurityhome_btnArmevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		btnAnimCustom(guider_ui.screSecurityhome_btnArm, -10, (lv_anim_ready_cb_t)loadSeurityArmScreen);
	}
		break;
	default:
		break;
	}
}

static void screSecurityhome_imgbtnHomeevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		btnAnimCustom(guider_ui.screSecurityhome_imgbtnHome, -10, (lv_anim_ready_cb_t)loadWelcomeScreen);
	}
		break;
	default:
		break;
	}
}

static void screSecurityhome_swFDoorevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_VALUE_CHANGED:
	{
		if(lv_switch_get_state(guider_ui.screSecurityhome_swFDoor) == true)
		{
		    lv_label_set_text(guider_ui.screSecurityhome_labelFDoor, "Front Door Locked");
		}
		else
		{
		    lv_label_set_text(guider_ui.screSecurityhome_labelFDoor, "Front Door Unlocked");
		}
	}
		break;
	default:
		break;
	}
}

static void screSecurityhome_swBDoorevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_VALUE_CHANGED:
	{
		if(lv_switch_get_state(guider_ui.screSecurityhome_swBDoor) == true)
		{
		    lv_label_set_text(guider_ui.screSecurityhome_labelBDoor, "Back Door Locked");
		}
		else
		{
		    lv_label_set_text(guider_ui.screSecurityhome_labelBDoor, "Back Door Unlocked");
		}
	}
		break;
	default:
		break;
	}
}

static void screSecurityhome_swGDoorevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_VALUE_CHANGED:
	{
		if(lv_switch_get_state(guider_ui.screSecurityhome_swGDoor) == true)
		{
		    lv_label_set_text(guider_ui.screSecurityhome_labelGDoor, "Garage Door Locked");
		}
		else
		{
		    lv_label_set_text(guider_ui.screSecurityhome_labelGDoor, "Garage Door Unlocked");
		}
	}
		break;
	default:
		break;
	}
}

void events_init_screSecurityhome(lv_ui *ui)
{
	lv_obj_set_event_cb(ui->screSecurityhome_btnArm, screSecurityhome_btnArmevent_handler);
	lv_obj_set_event_cb(ui->screSecurityhome_imgbtnHome, screSecurityhome_imgbtnHomeevent_handler);
	lv_obj_set_event_cb(ui->screSecurityhome_swFDoor, screSecurityhome_swFDoorevent_handler);
	lv_obj_set_event_cb(ui->screSecurityhome_swBDoor, screSecurityhome_swBDoorevent_handler);
	lv_obj_set_event_cb(ui->screSecurityhome_swGDoor, screSecurityhome_swGDoorevent_handler);
}

static void screSecurity_imgbtnHomeevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		btnAnimCustom(guider_ui.screSecurity_imgbtnHome, -10, (lv_anim_ready_cb_t)loadWelcomeScreen);
	}
		break;
	default:
		break;
	}
}

static void screSecurity_btnNum1event_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		btnAnimCustom(obj, 5, NULL);
		pinCodeInputProcess(1);
	}
		break;
	default:
		break;
	}
}

static void screSecurity_btnNum2event_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_PRESSED:
	{
		btnAnimCustom(obj, 5, NULL);
		pinCodeInputProcess(2);
	}
		break;
	default:
		break;
	}
}

static void screSecurity_btnNum3event_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		btnAnimCustom(obj, 5, NULL);
		pinCodeInputProcess(3);
	}
		break;
	default:
		break;
	}
}

static void screSecurity_btnNum4event_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		btnAnimCustom(obj, 5, NULL);
		pinCodeInputProcess(4);
	}
		break;
	default:
		break;
	}
}

static void screSecurity_btnNum5event_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		btnAnimCustom(obj, 5, NULL);
		pinCodeInputProcess(5);
	}
		break;
	default:
		break;
	}
}

static void screSecurity_btnNum6event_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		btnAnimCustom(obj, 5, NULL);
		pinCodeInputProcess(6);
	}
		break;
	default:
		break;
	}
}

static void screSecurity_btnNum7event_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		btnAnimCustom(obj, 5, NULL);
		pinCodeInputProcess(7);
	}
		break;
	default:
		break;
	}
}

static void screSecurity_btnNum8event_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		btnAnimCustom(obj, 5, NULL);
		pinCodeInputProcess(8);
	}
		break;
	default:
		break;
	}
}

static void screSecurity_btnNum9event_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		btnAnimCustom(obj, 5, NULL);
		pinCodeInputProcess(9);
	}
		break;
	default:
		break;
	}
}

static void screSecurity_btnNumDelevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		btnAnimCustom(obj, 5, NULL);
		pinCodeDeleteProcess();
	}
		break;
	default:
		break;
	}
}

static void screSecurity_btnNum0event_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		btnAnimCustom(obj, 5, NULL);
		pinCodeInputProcess(0);
	}
		break;
	default:
		break;
	}
}

static void screSecurity_btnNumOkevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		btnAnimCustom(obj, 5, NULL);
		pinCodeOkProcess();
	}
		break;
	default:
		break;
	}
}

void events_init_screSecurity(lv_ui *ui)
{
	lv_obj_set_event_cb(ui->screSecurity_imgbtnHome, screSecurity_imgbtnHomeevent_handler);
	lv_obj_set_event_cb(ui->screSecurity_btnNum1, screSecurity_btnNum1event_handler);
	lv_obj_set_event_cb(ui->screSecurity_btnNum2, screSecurity_btnNum2event_handler);
	lv_obj_set_event_cb(ui->screSecurity_btnNum3, screSecurity_btnNum3event_handler);
	lv_obj_set_event_cb(ui->screSecurity_btnNum4, screSecurity_btnNum4event_handler);
	lv_obj_set_event_cb(ui->screSecurity_btnNum5, screSecurity_btnNum5event_handler);
	lv_obj_set_event_cb(ui->screSecurity_btnNum6, screSecurity_btnNum6event_handler);
	lv_obj_set_event_cb(ui->screSecurity_btnNum7, screSecurity_btnNum7event_handler);
	lv_obj_set_event_cb(ui->screSecurity_btnNum8, screSecurity_btnNum8event_handler);
	lv_obj_set_event_cb(ui->screSecurity_btnNum9, screSecurity_btnNum9event_handler);
	lv_obj_set_event_cb(ui->screSecurity_btnNumDel, screSecurity_btnNumDelevent_handler);
	lv_obj_set_event_cb(ui->screSecurity_btnNum0, screSecurity_btnNum0event_handler);
	lv_obj_set_event_cb(ui->screSecurity_btnNumOk, screSecurity_btnNumOkevent_handler);
}

static void screAudio_imgbtnAudioNextevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		btnAnimCustom(guider_ui.screAudio_imgbtnAudioNext, 10, (lv_anim_ready_cb_t)gotoNextMusicItem);
	}
		break;
	default:
		break;
	}
}

static void screAudio_imgbtnAudioPreevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		btnAnimCustom(guider_ui.screAudio_imgbtnAudioPre, 10, (lv_anim_ready_cb_t)gotoPreMusicItem);
	}
		break;
	default:
		break;
	}
}

static void screAudio_imgbtnHomeevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		btnAnimCustom(guider_ui.screAudio_imgbtnHome, -10, (lv_anim_ready_cb_t)loadWelcomeScreenfrAudio);
	}
		break;
	default:
		break;
	}
}

static void screAudio_imgbtnAudioSelevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		btnAnimCustom(guider_ui.screAudio_imgbtnAudioSel, 10, (lv_anim_ready_cb_t)loadAudioListScreen);
	}
		break;
	default:
		break;
	}
}

static void screAudio_imgbtnAudioPlayevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		btnAnimCustom(guider_ui.screAudio_imgbtnAudioPlay, 10, (lv_anim_ready_cb_t)switchPlayerState);
	}
		break;
	default:
		break;
	}
}

static void screAudio_imgbtnAudioPauseevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		btnAnimCustom(guider_ui.screAudio_imgbtnAudioPlay, 10, (lv_anim_ready_cb_t)switchPlayerState);
	}
		break;
	default:
		break;
	}
}

void events_init_screAudio(lv_ui *ui)
{
	lv_obj_set_event_cb(ui->screAudio_imgbtnAudioNext, screAudio_imgbtnAudioNextevent_handler);
	lv_obj_set_event_cb(ui->screAudio_imgbtnAudioPre, screAudio_imgbtnAudioPreevent_handler);
	lv_obj_set_event_cb(ui->screAudio_imgbtnHome, screAudio_imgbtnHomeevent_handler);
	lv_obj_set_event_cb(ui->screAudio_imgbtnAudioSel, screAudio_imgbtnAudioSelevent_handler);
	lv_obj_set_event_cb(ui->screAudio_imgbtnAudioPlay, screAudio_imgbtnAudioPlayevent_handler);
	lv_obj_set_event_cb(ui->screAudio_imgbtnAudioPause, screAudio_imgbtnAudioPauseevent_handler);
}

static void screAudioList_listSong_item0event_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		selMusicItem(0);
			
	}
		break;
	default:
		break;
	}
}

static void screAudioList_listSong_item1event_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		selMusicItem(1);
	}
		break;
	default:
		break;
	}
}

static void screAudioList_listSong_item2event_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		selMusicItem(2);
	}
		break;
	default:
		break;
	}
}

static void screAudioList_imgbtnHomeevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		btnAnimCustom(guider_ui.screAudio_imgbtnHome, -10, (lv_anim_ready_cb_t)loadWelcomeScreenfrAudio);
	}
		break;
	default:
		break;
	}
}

static void screAudioList_imgbtnAudioListevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		btnAnimCustom(guider_ui.screAudioList_imgbtnAudioList, 10, (lv_anim_ready_cb_t)show_screAudio);
	}
		break;
	default:
		break;
	}
}

void events_init_screAudioList(lv_ui *ui)
{
	lv_obj_set_event_cb(ui->screAudioList_listSong_item0, screAudioList_listSong_item0event_handler);
	lv_obj_set_event_cb(ui->screAudioList_listSong_item1, screAudioList_listSong_item1event_handler);
	lv_obj_set_event_cb(ui->screAudioList_listSong_item2, screAudioList_listSong_item2event_handler);
	lv_obj_set_event_cb(ui->screAudioList_imgbtnHome, screAudioList_imgbtnHomeevent_handler);
	lv_obj_set_event_cb(ui->screAudioList_imgbtnAudioList, screAudioList_imgbtnAudioListevent_handler);
}

static void screAllLightOffConfirm_imgbtnCheckevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		btnAnimCustom(guider_ui.screAllLightOffConfirm_imgbtnCheck, 10, (lv_anim_ready_cb_t)loadLightScreen);
	}
		break;
	default:
		break;
	}
}

static void screAllLightOffConfirm_imgbtnDenyevent_handler(lv_obj_t * obj, lv_event_t event)
{
	switch (event)
	{
	case LV_EVENT_RELEASED:
	{
		btnAnimCustom(guider_ui.screAllLightOffConfirm_imgbtnDeny, 10, (lv_anim_ready_cb_t)loadLightScreen);
	}
		break;
	default:
		break;
	}
}

void events_init_screAllLightOffConfirm(lv_ui *ui)
{
	lv_obj_set_event_cb(ui->screAllLightOffConfirm_imgbtnCheck, screAllLightOffConfirm_imgbtnCheckevent_handler);
	lv_obj_set_event_cb(ui->screAllLightOffConfirm_imgbtnDeny, screAllLightOffConfirm_imgbtnDenyevent_handler);
}
